Bug 910531 (ksquares)

Summary: Review Request: ksquares - Connect the dots to create squares
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-16 18:08:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 14:19:21 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksquares.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksquares-4.10.0-1.fc18.src.rpm
Description: A game modeled after the well known pen and paper based game of Dots and Boxes
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 10:04:51 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksquares.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksquares-4.10.0-2.fc18.src.rpm
Description:
The idea behind KSquares is to construct squares by interconnecting
the dots on the grid. Up to four players can play this game together,
taking turns. The trick is – regardless of who has constructed most
of the square, it is the player who completes the square that gets the
point for it.
To win the game round player has to collect the most points by covering
the most area with the squares of player's own color.


%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, summary/description
Comment 2 nucleo 2013-02-16 14:45:42 EST
MUST Items:
+ rpmlint output
  $ rpmlint ksquares-4.10.0-1.fc18.i686.rpm ksquares-debuginfo-4.10.0-1.fc18.i686.rpm ksquares-4.10.0-2.fc18.src.rpm ksquares.spec 
    ksquares.i686: W: no-manual-page-for-binary ksquares
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name ksquares-4.10.0.tar.xz
+ spec file name ksquares.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 5e08cff7fd050b7931948df7e0803035  ksquares-4.10.0.tar.xz
  SHA1: 1a814d64694e4a435d4c08ccf0c0003e199818f2  ksquares-4.10.0.tar.xz
  SHA256: 03bb6edb3112b3fb3af015b92a964cd20d12aa8800245beaaf24a8960b2c6bed  ksquares-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir} )
+ non-code content: only permitted content, images under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ ksquares.desktop file for the GUI app ksquares present
+ desktop-file-validate is used in %check and the ksquares.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from ksquares's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 3 Rex Dieter 2013-02-16 15:17:59 EST
New Package SCM Request
=======================
Package Name: ksquares
Short Description: Connect the dots to create squares
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 4 Jon Ciesla 2013-02-16 17:41:40 EST
Git done (by process-git-requests).
Comment 5 Rex Dieter 2013-02-16 18:08:36 EST
imported